package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type ExamHistory struct {
	Id          primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	UserId      string             `bson:"userId,omitempty" json:"userId"`
	ProduceName string             `bson:"produceName,omitempty" json:"produceName"`
	// $title:正确/错误
	ExamRecord []*Record `bson:"examRecord,omitempty" json:"examRecord"`
	TotalScore int       `bson:"totalScore,omitempty" json:"totalScore"`
	Correct    int       `bson:"correct,omitempty" json:"correct"`
	Mistake    int       `bson:"mistake,omitempty" json:"mistake"`
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
}

type Record struct {
	Title     string `bson:"title,omitempty" json:"title"`
	Result    string `bson:"result,omitempty" json:"result"`
	IsCorrect *bool  `bson:"isCorrect,omitempty" json:"isCorrect"`
}
