package main

import (
	"flag"
	"fmt"
	"nrhe-train/api"
	"nrhe-train/bus"
	"nrhe-train/conf"
	"nrhe-train/db"

	"go.uber.org/dig"
)

var confFile = flag.String("conf", "./app.yaml", "conf file")

func BuildApp() *dig.Container {

	app := dig.New()
	_ = app.Provide(func() (*conf.AppConf, error) {
		return conf.NewAppConf(*confFile)
	})

	_ = app.Provide(db.NewMongoDB)
	_ = app.Provide(db.NewRedisClient)
	_ = app.Provide(bus.NewNatsBus)

	_ = app.Provide(api.NewHttpService)

	return app
}

func main() {
	password := api.UtilMd5("123456")
	fmt.Println(password)
	// comm.AppMongoMiration()
	// flag.Parse()
	// app := BuildApp()
	// err := app.Invoke(func(svc *api.Service, bus *comm.NatsBus) error {
	// 	go bus.Run(nil)

	// 	svc.Run()
	// 	return nil
	// })

	// if err != nil {
	// 	log.Errorf("the pink service start fail %+v", err)
	// 	panic(err)
	// }
}
